Frama-C Bug Tracking System

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001464Frama-CGraphical User Interfacepublic2013-07-29 18:002013-08-01 17:22
Reporterbarries 
Assigned To 
PrioritynormalSeveritycrashReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product VersionFrama-C Boron-20100401 
Target VersionFixed in VersionFrama-C Nitrogen-20111001 
Summary0001464: "src/project/project.ml", line 678 Assertion failed
DescriptionSteps to reproduce:

1. Project -> default -> Duplicate project
2. Save As "test.frama" (any name will do; test.frama attached to issue)
3. Project -> Load project -> "test.frama"
4. Observe Error dialog:

The full backtrace is:

Called from file "src/kernel/journal.ml", line 323, characters 15-26
Re-raised at file "src/kernel/journal.ml", line 338, characters 14-15
Called from file "src/gui/project_manager.ml", line 131, characters 18-34
Called from file "src/lib/extlib.ml", line 176, characters 12-15
Re-raised at file "src/lib/extlib.ml", line 181, characters 10-11
Called from file "src/gui/gtk_helper.ml", line 533, characters 8-385

Unexpected error (File "src/project/project.ml", line 678, characters 24-30: Assertion failed).
Please report as 'crash' at http://bts.frama-c.com [^]
Additional InformationI'm a new user and may well be skipping some key step.
TagsNo tags attached.
Attached Files? file icon test.frama [^] (68,501 bytes) 2013-07-29 18:00

- Relationships

-  Notes
(0004016)
barries (reporter)
2013-07-31 19:38

This can be closed--Frama-C-Nitrogen no longer shows this issue.

- Issue History
Date Modified Username Field Change
2013-07-29 18:00 barries New Issue
2013-07-29 18:00 barries File Added: test.frama
2013-07-31 19:38 barries Note Added: 0004016
2013-08-01 17:22 virgile Status new => closed
2013-08-01 17:22 virgile Resolution open => fixed
2013-08-01 17:22 virgile Fixed in Version => Frama-C Nitrogen-20111001


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker